@import url("./style.css");
@import url("./header.css");
@import url("./footer.css");
@import url("./cart.css");

.swiper__hero .swiper-slide a {
	display: block;
	width: 100%;
	aspect-ratio: 3 / 1;
}

.swiper__hero .swiper-pagination-bullet-active {
	background: purple;
}

.swiper__hero .swiper-wrapper .swiper-slide:nth-child(1) a {
	background: url("../img/Apple\ discount_11zon.webp") center center/cover no-repeat;
}

.swiper__hero .swiper-wrapper .swiper-slide:nth-child(2) a {
	background: url("../img/Sumsung\ discount_11zon.webp") center center/cover no-repeat;
}

.swiper__hero .swiper-wrapper .swiper-slide:nth-child(3) a {
	background: url("../img/Powerbank_11zon.webp") center center/cover no-repeat;
}

.swiper__hero .swiper-slide img {
	width: 100%;
}

/* Categories */

.categories {
	margin: 80px 0 120px 0;
}

.categories h2 {
	font-size: 28px;
	text-align: center;
	margin-bottom: 40px;
}

.categories__wrapper {
	display: flex;
	gap: 20px;
	margin-bottom: 30px;
}

.categories__item {
	text-decoration: none;
	width: calc(50% - 10px);
	box-shadow: 1px 1px 4px gray;
	border-radius: 20px;
	display: flex;
}

.categories__item img {
	border-radius: 20px 0 0 20px;
	width: 50%;
	aspect-ratio: 1 / 1.33;
}

.categories__item-right {
	padding: 30px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 15px;
}

.categories__item-right h3 {
	text-decoration: none;
	color: black;
	font-size: 24px;
	display: inline-block;
}

.categories__item-right p {
	text-decoration: none;
	color: black;
	font-size: 18px;
	display: inline-block;
	margin-bottom: 20px;
}

.categories__item-right button {
	background-color: #383838;
	color: #fff;
	border: none;
	border-radius: 10px;
	padding: 10px 20px;
	cursor: pointer;
	transition:
		background-color 0.3s ease,
		transform 0.2s ease;
	margin-top: auto;
}

button:hover {
	background-color: #444;
	transform: scale(1.05);
}

.categories__all-products {
	text-align: center;
}

.categories__all-products a {
	color: black;
	font-size: 18px;
}

.categories__all-products a:hover {
	transform: scale(1.05);
	font-size: 18.5px;
}

/* Advantages */

.advantages {
	margin: 120px 0;
	background-color: #383838;
	padding: 60px 0;
}

.advantages h2 {
	font-size: 28px;
	text-align: center;
	color: white;
	margin-bottom: 40px;
}

.advantages__wrapper {
	display: flex;
	gap: 20px;
	flex-wrap: wrap;
	justify-content: center;
}

.advantages__card {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 20px;
	width: 290px;
}

.advantages__card img {
	display: block;
	width: 128px;
	height: 128px;
	object-fit: contain;
}

.advantages__card p {
	color: white;
	font-size: 18px;
}

/* About us */

.about-us {
	margin: 120px 0;
}

.about-us__wrapper {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 30px;
}

.about-us-text {
	padding-right: 30px;
}

.about-us-text h2 {
	font-size: 36px;
	color: #333;
	margin-bottom: 20px;
}

.about-us-text p {
	font-size: 16px;
	color: #666;
	line-height: 1.6;
	margin-bottom: 15px;
}

.about-us-text .btn {
	display: inline-block;
	padding: 10px 20px;
	background-color: #383838;
	color: white;
	text-decoration: none;
	border-radius: 5px;
	margin-top: 20px;
	transition:
		background-color 0.3s ease,
		transform 0.2s ease;
}

.about-us-text .btn:hover {
	background-color: #444;
	transform: scale(1.05);
}

.about-us-image {
	max-width: 500px;
	flex-shrink: 0;
}

.about-us-image img {
	width: 100%;
	height: auto;
	border-radius: 10px;
}

@media all and (max-width: 1200px) {
	.about-us__wrapper {
		flex-direction: column-reverse;
	}
	.categories__wrapper {
		flex-direction: column;
		align-items: center;
	}
	.categories__item {
		width: 100%;
	}
}

@media all and (max-width: 768px) {
	.categories {
		margin: 40px 0 60px 0;
	}

	.about-us-text .btn {
		margin-top: 0;
	}

	.advantages,
	.about-us {
		margin: 60px 0;
	}

	.swiper__hero .swiper-slide a {
		display: block;
		width: 100%;
		aspect-ratio: 2 / 1;
	}

	.swiper__hero .swiper-wrapper .swiper-slide:nth-child(1) a {
		background: url("../img/m1.png") center center/cover no-repeat;
	}

	.swiper__hero .swiper-wrapper .swiper-slide:nth-child(2) a {
		background: url("../img/m2.png") center center/cover no-repeat;
	}

	.swiper__hero .swiper-wrapper .swiper-slide:nth-child(3) a {
		background: url("../img/m3.png") center center/cover no-repeat;
	}

	.categories__wrapper {
		display: flex;
		flex-direction: row;
		justify-content: center;
		align-items: stretch;
		gap: 10px;
	}

	.categories h2 {
		font-size: 22px;
		margin-bottom: 20px;
	}

	.categories__item {
		display: flex;
		flex-direction: column;
		width: calc(50% - 5px);
	}

	.categories__item img {
		display: block;
		border-radius: 20px;
		width: 100%;
		aspect-ratio: 1 / 1;
		object-fit: cover;
	}

	.categories__item-right {
		padding: 10px;
		height: 100%;
		gap: 5px;
	}

	.categories__item-right h3 {
		font-size: 18px;
	}

	.categories__item-right p {
		font-size: 12px;
		margin-bottom: 0;
	}

	.advantages h2 {
		font-size: 22px;
	}

	.advantages__wrapper {
		gap: 10px;
	}

	.advantages__card {
		width: calc(50% - 5px);
		gap: 10px;
	}

	.advantages {
		padding: 30px 0;
	}

	.advantages h2 {
		margin-bottom: 20px;
	}

	.advantages__card p {
		font-size: 14px;
		margin: 0;
	}

	.advantages__card img {
		width: 64px;
		height: 64px;
	}

	.footer__wrapper {
		flex-wrap: wrap;
		gap: 15px;
	}

	.footer__left-nav {
		width: 100%;
	}
}
